This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 583272 - qt apps on gnome don't use qgtkstyle
qt apps on gnome don't use qgtkstyle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-17 10:42 EDT by Rex Dieter
Modified: 2012-08-16 17:04 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:04:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2010-04-17 10:42:59 EDT
From what I can gather, it seems that qt apps on gnome don't seem to be using qgtkstyle by default it they should.
Comment 1 Rex Dieter 2010-04-17 10:44:59 EDT
My first suspicion is that folks seeing this have kdelibs (and the presence of the kde platform plugin), without kdebase-runtime being installed.
Comment 2 Kevin Kofler 2010-04-17 14:16:43 EDT
IMHO, we should fix kdelibs so it doesn't override Qt's desktop integration when not running under KDE. That way KDE apps would also integrate properly in GNOME out of the box.
Comment 3 Rex Dieter 2010-04-17 14:49:53 EDT
agreed (if that's indeed that case here).
Comment 4 Máirín Duffy 2010-04-18 22:52:54 EDT
In case it helps, I have the following installed:
[duffy@Aiko ~]$ rpm -qa | grep kdelibs
kdelibs-experimental-4.3.4-1.fc12.x86_64
kdelibs3-3.5.10-21.fc12.x86_64
kdelibs-4.3.4-3.fc12.x86_64
kdelibs-common-4.3.4-3.fc12.x86_64

And no kdebase-runtime

And I'm seeing the issue.

~m
Comment 5 Kevin Kofler 2010-04-18 23:31:42 EDT
That's from before the KDE platform plugin for Qt was introduced. (It's new in 4.4.)

What apps are you seeing this with? KDE apps? Or Qt-only apps? It's unfortunately normal that KDE apps don't use QGtkStyle unless you explicitly set KDE to QGtkStyle, KDE overrides the style with its own setting. And even if you set the KDE style to QGtkStyle, kdelibs still disables Qt's desktop integration, affecting things such as button order. IMHO, as I said in comment #2, we should patch kdelibs to stop doing this when not running under KDE. It's also normal that Qt 3 apps don't use QGtkStyle, QGtkStyle is only available in Qt 4.
Comment 6 Bug Zapper 2010-07-30 07:23:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Daniel Rindt 2010-07-31 09:26:24 EDT
I can confirm this behavior. But i have no kdelibs installed. The mouse-cursor-style is also not used.
Comment 8 Fedora End Of Life 2012-08-16 17:04:37 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.